Table of Contents

## Name

XtGetGC, XtReleaseGC - obtain and destroy a sharable GC

## Syntax

GC XtGetGC(w, value_mask, values)
Widget w;
XtGCMask value_mask;
XGCValues *values;

void XtReleaseGC(w, gc)
Widget w;
GC gc;

## Arguments

gc
  Specifies the GC to be deallocated.
values
  Specifies the actual values for this GC.
value_mask
  Specifies which `m.`
w
  Specifies the widget.

## Description

The XtGetGC function returns a sharable, read-only GC. The parameters to this function are the same as those for XCreateGC except that a widget is passed instead of a display. XtGetGC shares only GCs in which all values in the GC returned by XCreateGC are the same. In particular, it does not use the value_mask provided to determine which fields of the GC a widget considers relevant. The value_mask is used only to tell the server which fields should be filled in with widget data and which it should fill in with default values. For further information about value_mask and values, see XCreateGC in the Xlib - C Language X Interface.

The XtReleaseGC function deallocate the specified shared GC.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also